Package org.bukkit.event.block

# Class SpongeAbsorbEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.SpongeAbsorbEvent

All Implemented Interfaces:
  `Cancellable`

public class SpongeAbsorbEvent extends BlockEvent implements Cancellable
Called when a sponge absorbs water from the world.
The world will be in its previous state, and `getBlocks()` will represent the changes to be made to the world, if the event is not cancelled.
As this is a physics based event it may be called multiple times for "the same" changes.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`SpongeAbsorbEvent(@NotNull Block block, @NotNull List<BlockState> waterblocks)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<BlockState>`
`getBlocks()`
Get a list of all blocks to be removed by the sponge.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpongeAbsorbEvent

public SpongeAbsorbEvent(@NotNull @NotNull Block block, @NotNull @NotNull List<BlockState> waterblocks)

## Method Details

### getBlocks

@NotNull public @NotNull List<BlockState> getBlocks()
Get a list of all blocks to be removed by the sponge.
This list is mutable and contains the blocks in their removed state, i.e. having a type of `Material.AIR`.

Returns:
  list of the to be removed blocks.

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()